Skip to main content

Pull API: UserType

API access is a paid feature and must be granted by OPSCOM. Email your Account Executive to negotiate access. 

The OPSCOM Controller provides a simple JSON based API to integrate with. Clients use this API to obtain a list of the current profile user types in their system.

Make sure you set the HTTP Content-Type header to be application/json.

Making API Requests

Raw Request:

POST /api/OC_TOMA/v1/profiles/types/list HTTP/1.1
Host: controller.operationscommander.io
Accept: application/json
Content-Type: application/json
Cache-Control: no-cache
 
{
    "apiToken": "YOUR-API-TOKEN",
}

JavaScript Request:

var request = new XMLHttpRequest();
 
 
request.setRequestHeader('Content-Type', 'application/json');
request.setRequestHeader('Accept', 'application/json');
 
request.onreadystatechange = function () {
  if (this.readyState === 4) {
    console.log('Status:', this.status);
    console.log('Headers:', this.getAllResponseHeaders());
    console.log('Body:', this.responseText);
  }
};
 
 
var body = {
    "apiToken": "YOUR-API-TOKEN"
}
request.send(JSON.stringify(body));

Request Object Attributes

Attribute Type Limits Possible Names Description
apiToken String

50-character alphanumeric including dashes.

apiToken (Required) Your supplied API Token.

Successful Response

The response will be a json object. 

Content-Type: application/json

{
    "status": "success",
    "user_types": [
        {
            "id": "1",
            "type_name": "Full Time Student",
            "ext_info": "Student"
        },
        {
            "id": "6",
            "type_name": "Demo",
            "ext_info": "Public"
        },
        {
            "id": "7",
            "type_name": "Full Time Staff",
            "ext_info": "Staff"
        },
        {
            "id": "8",
            "type_name": "Part Time Staff",
            "ext_info": "Staff"
        },
        {
            "id": "9",
            "type_name": "Part Time Student",
            "ext_info": "Student"
        },
        {
            "id": "10",
            "type_name": "Exchange Student",
            "ext_info": "Student"
        },
        {
            "id": "11",
            "type_name": "Athletics Member",
            "ext_info": "Athletics"
        },
        {
            "id": "12",
            "type_name": "Complimentary",
            "ext_info": "Public"
        },
        {
            "id": "13",
            "type_name": "Daily Reserved",
            "ext_info": "Public"
        }
    ]
}